Subject: Re: ZPyGreSQLDA Compile
From: Sherwood Robinson <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Jun 2001 13:31:13 -0400

Thanks Jason going to give it a try right now.  I will let you know if it 
works.  thanks again...

SR

At 12:14 PM 6/7/2001 -0400, Jason Tishler wrote:
>Sherwood,
>
>On Thu, Jun 07, 2001 at 11:53:48AM -0400, Sherwood Robinson wrote:
> > [snip]
> > gcc -shared -Wl,--enable-auto-image-base  ./pgmodule.o  -lpq -lcrypt 
> -L/usr/lib/ python2.1/config -lpython2.1 -o ./_pgmodule.dll
> > Cannot export _bss_end__: symbol not defined
> > Cannot export _bss_start__: symbol not defined
> > Cannot export _data_end__: symbol not defined
> > Cannot export _data_start__: symbol not defined
> > collect2: ld returned 1 exit status
> > make: *** [_pgmodule.dll] Error 1
> >
> > Anyone tell me what I am doing wrong here?
>
>The above is caused because no symbols are being exported from
>_pgmodule.dll.  The attached patch should solved this problem.  However,
>I did *not* actually test it.
>
>Note that the source that you are using for pgmodule is old.  Newer
>versions already have this patch applied.
>
>BTW, why don't you use the pre-built _pgmodule.dll that is part of the
>Cygwin PostgreSQL 7.1.2 distribution?
>
>Jason
>
>--
>Jason Tishler
>Director, Software Engineering       Phone: 732.264.8770 x235
>Dot Hill Systems Corp.               Fax:   732.264.8798
>82 Bethany Road, Suite 7             Email: [email-masked]
>Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

----------------------------------------------------
Sherwood Robinson
Hostmaster
The Free Lance-Star/Internet Department
[email-masked]
http://www.fredericksburg.com

616 Amelia St.
Fredericksburg, VA 22401
540-374-5000 ext. 5657

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple